"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _Content = _interopRequireDefault(require("./Content"));

var _Title = _interopRequireDefault(require("./Title"));

var _Thumbnail = _interopRequireDefault(require("./Thumbnail"));

var _Row = _interopRequireDefault(require("./Row"));

var _Col = _interopRequireDefault(require("./Col"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Card = props => {
  const {
    children,
    containerStyle,
    radius = 5,
    flex,
    width,
    row,
    elevation = true,
    bg = 'white',
    img_bg,
    onPress
  } = props;

  const component = /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [{
      overflow: 'hidden'
    }, {
      backgroundColor: bg
    }, elevation && {
      borderWidth: 0.5,
      borderColor: '#ccc'
    }, {
      borderRadius: radius
    }, flex && {
      flex: 1
    }, {
      width
    }, row && {
      flexDirection: 'row'
    }, containerStyle]
  }, img_bg == null ? children : /*#__PURE__*/_react.default.createElement(_reactNative.ImageBackground, {
    source: {
      uri: img_bg
    },
    style: [{
      width: '100%',
      height: 'auto'
    }]
  }, children));

  if (onPress) {
    return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
      onPress: onPress
    }, component);
  }

  return component;
};

Card.Content = _Content.default;
Card.Title = _Title.default;
Card.Thumbnail = _Thumbnail.default;
Card.Row = _Row.default;
Card.Col = _Col.default;
var _default = Card;
exports.default = _default;
//# sourceMappingURL=Card.js.map