import React from 'react';
import { View, TouchableOpacity, ImageBackground } from 'react-native';
import Content from './Content';
import Title from './Title';
import Thumbnail from './Thumbnail';
import Row from './Row';
import Col from './Col';

const Card = props => {
  const {
    children,
    containerStyle,
    radius = 5,
    flex,
    width,
    row,
    elevation = true,
    bg = 'white',
    img_bg,
    onPress
  } = props;
  const component = /*#__PURE__*/React.createElement(View, {
    style: [{
      overflow: 'hidden'
    }, {
      backgroundColor: bg
    }, elevation && {
      borderWidth: 0.5,
      borderColor: '#ccc'
    }, {
      borderRadius: radius
    }, flex && {
      flex: 1
    }, {
      width
    }, row && {
      flexDirection: 'row'
    }, containerStyle]
  }, img_bg == null ? children : /*#__PURE__*/React.createElement(ImageBackground, {
    source: {
      uri: img_bg
    },
    style: [{
      width: '100%',
      height: 'auto'
    }]
  }, children));

  if (onPress) {
    return /*#__PURE__*/React.createElement(TouchableOpacity, {
      onPress: onPress
    }, component);
  }

  return component;
};

Card.Content = Content;
Card.Title = Title;
Card.Thumbnail = Thumbnail;
Card.Row = Row;
Card.Col = Col;
export default Card;
//# sourceMappingURL=Card.js.map