import React from 'react';
import { ViewStyle } from 'react-native';
declare type CardProps = {
    children?: React.ReactNode;
    containerStyle?: ViewStyle;
    radius?: number;
    flex?: boolean;
    width?: number;
    row?: boolean;
    elevation?: boolean;
    bg?: string;
    img_bg?: string;
    onPress?: () => void;
};
declare const Card: {
    (props: CardProps): JSX.Element;
    Content: ({ children, padding }: {
        children?: React.ReactNode;
        padding?: number | undefined;
    }) => JSX.Element;
    Title: (props: {
        text: string;
        fontSize?: number | undefined;
        color?: string | undefined;
        align?: "left" | "right" | "center" | undefined;
        bold?: boolean | undefined;
        style?: import("react-native").TextStyle | undefined;
    }) => JSX.Element;
    Thumbnail: {
        (props: import("react-native").ImageProps & {
            children?: React.ReactChild | undefined;
            stretch?: boolean | undefined;
            align?: "left" | "right" | "center" | undefined;
            containerStyle?: ViewStyle | undefined;
        }): JSX.Element;
        defaultProps: {
            align: string;
        };
    };
    Row: ({ children, flex, center }: {
        children: React.ReactNode;
        flex?: boolean | undefined;
        center?: boolean | undefined;
    }) => JSX.Element;
    Col: ({ children, center, flex, padding, bg: backgroundColor, }: {
        children?: React.ReactNode;
        center?: boolean | undefined;
        flex?: boolean | undefined;
        bg?: string | undefined;
        padding?: number | undefined;
    }) => JSX.Element;
};
export default Card;
